Export Contact List
curl --request GET \
--url https://api.lemlist.com/api/contacts/export \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/contacts/export"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/contacts/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/contacts/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/contacts/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}"firstName,lastName,email,companyName,jobTitle,status\nJohn,Doe,john@example.com,Acme Inc,CEO,interested""Bad team"Contacts
Export Contact List
Exports contacts or companies from a CRM list as a CSV file.
GET
/
contacts
/
export
Export Contact List
Exports entities from a contact list as a downloadable CSV file. The columns included depend on the
entity type (contact or company).
Use GET /contacts/lists to retrieve valid list IDs (clt_xxx format), then pass the desired ID as the listId query parameter. Set entity to company to export companies instead of contacts.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The contact list ID to export (clt_xxx format), or "all" to export all contacts.
The type of entities to export. Defaults to "contact".
Available options:
contact, company Response
CSV file download
Was this page helpful?